org.red5.compatibility.flex.messaging.messages

## Class CommandMessageExt

- java.lang.Object
- - org.red5.compatibility.flex.messaging.messages.AbstractMessage
  - - org.red5.compatibility.flex.messaging.messages.AsyncMessage
    - - org.red5.compatibility.flex.messaging.messages.CommandMessage
      - - org.red5.compatibility.flex.messaging.messages.CommandMessageExt

All Implemented Interfaces:
  Serializable, Message, IExternalizable

    public class CommandMessageExt
    extends CommandMessage
    implements IExternalizable

An externalizable version of a given CommandMessage. The class alias for this class within flex is "DSC".

Author:
  Paul Gregoire (mondain@gmail.com)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.red5.compatibility.flex.messaging.messages.CommandMessage

`messageRefType, operation, OPERATION_FLAG`

### Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage

`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

### Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage

`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

### Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message

`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

### Constructor Summary

Constructors
Constructor and Description
`CommandMessageExt()`
`CommandMessageExt(CommandMessage message)`

### Method Summary

Methods
`void` `writeExternal(IDataOutput out)` Store custom object to stream.

### Methods inherited from class org.red5.compatibility.flex.messaging.messages.CommandMessage

`addParameters, getOperation, readExternal, setOperation`

### Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage

`getCorrelationId, setCorrelationId`

### Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage

`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.red5.io.amf3.IExternalizable

`readExternal`

### Constructor Detail

#### CommandMessageExt

    public CommandMessageExt()

#### CommandMessageExt

    public CommandMessageExt(CommandMessage message)

### Method Detail

#### writeExternal

    public void writeExternal(IDataOutput out)

Description copied from interface: `IExternalizable`
Store custom object to stream.

Specified by:
  `writeExternal` in interface `IExternalizable`
Overrides:
  `writeExternal` in class `AsyncMessage`
Parameters:
  `out` - object to be used for data storing